package com.kingdee.eas.custom.facade.employee;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import java.lang.String;



public abstract class AbstractEmpPreEntryFacadeControllerBean extends AbstractBizControllerBean implements EmpPreEntryFacadeController
{
    protected AbstractEmpPreEntryFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("3047B16D");
    }

    public void createEmpEnrollBizBill(Context ctx, String baseDate, String empNumber, String orgNumber) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("c0c2714f-4fb1-4020-9531-97fd1c497d67"), new Object[]{ctx, baseDate, empNumber, orgNumber});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _createEmpEnrollBizBill(ctx, baseDate, empNumber, orgNumber);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _createEmpEnrollBizBill(Context ctx, String baseDate, String empNumber, String orgNumber) throws BOSException
    {    	
        return;
    }

}